
archDB.factory('WorkflowEvent', ['apiUrl', '$resource', 'ResourceMethods', 'ResourcePrototype', function(apiUrl, $resource, methods, _prototype){
	var WorkflowEvent = $resource('/workflow/:workflowId', {workflowId: '@id'}, methods);
	angular.extend(WorkflowEvent.prototype, _prototype);
    return WorkflowEvent;
}]);